lkml.org 
[lkml]   [2018]   [Nov]   [19]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 4.19 087/361] signal: Introduce COMPAT_SIGMINSTKSZ for use in compat_sys_sigaltstack
On Mon, Nov 12, 2018 at 11:49:05AM +0000, Steve McIntyre wrote:
> On Sun, Nov 11, 2018 at 02:17:14PM -0800, Greg Kroah-Hartman wrote:
> >4.19-stable review patch. If anyone has any objections, please let me know.
> >
> >------------------
> >
> >From: Will Deacon <will.deacon@arm.com>
> >
> >[ Upstream commit 22839869f21ab3850fbbac9b425ccc4c0023926f ]
> >
> >The sigaltstack(2) system call fails with -ENOMEM if the new alternative
> >signal stack is found to be smaller than SIGMINSTKSZ. On architectures
> >such as arm64, where the native value for SIGMINSTKSZ is larger than
> >the compat value, this can result in an unexpected error being reported
> >to a compat task. See, for example:
> >
> > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=904385
>
> ...
>
> Thanks Greg! If it's not too much effort, could you also take this for
> 4.9-stable as well please? That would get it into our next Debian
> stable update too. :-)

Does not apply to 4.9.y, can you provide a working backport?

thanks,

greg k-h

\
 
 \ /
  Last update: 2018-11-19 16:16    [W:0.224 / U:1.152 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site